/* This module provides an equivalent of <netinet/in.h> on  */
/* unix systems. */
#ifdef __WIN32__
#define _LITTLE_ENDIAN
#endif

#include "longlong.h"
#include "mglong.h"
#ifdef __cplusplus
extern "C" {
#endif

mg_u_long htonl(mg_u_long x);
mg_u_long ntohl(mg_u_long x);
mg_ullong ntohll(mg_ullong x);
unsigned short htons(unsigned short x);
unsigned short ntohs(unsigned short x);

#ifdef __cplusplus
}
#endif
